local P = Apollo.GetAddon("PieMenu")

local ktMenu = P.PieMenu:new({
  strId = "Interface",
  strName = "Interface Menu",
  nRadius = 170,
  oKeybind = P.PieKey:new("ctrl-alt-q"),
  tItems = {
--    { strName = "System Menu",          strIcon = "ClientSprites:Icon_Mission_Scientist_DatachronDiscovery",       strEvent = "InvokeEscapeMenu" },
    { strName = "Map",                  strIcon = "ClientSprites:Icon_Mission_Explorer_ExploreZone",               strEvent = "ToggleZoneMap" },
    { strName = "Level Up Unlocks",     strIcon = "ClientSprites:Icon_Windows_UI_CRB_LevelUp_NewClassImprovement", strEvent = "ToggleLevelUpUnlocks" },
    { strName = "Mount Customization",  strIcon = "ClientSprites:Icon_Mission_Scientist_ReverseEngineering",       strEvent = "GenericEvent_OpenMountCustomize" },
    { strName = "Action Set Builder",   strIcon = "ClientSprites:Icon_Windows_UI_CRB_Attribute_BruteForce",        strEvent = "ToggleAbilitiesWindow" },
    { strName = "Non-Combat Abilities", strIcon = "ClientSprites:Icon_Mission_Soldier_Rescue",                     strEvent = "GenericEvent_OpenNonCombatSpellbook" },
    { strName = "Character",            strIcon = "ClientSprites:Icon_Windows_UI_CRB_FieldStudy_Aggressive",       strEvent = "ToggleCharacterWindow" },
    { strName = "Inventory",            strIcon = "CRB_BaseBarSprites:btnHUD_InventoryBagDisabled",                strEvent = "InterfaceMenu_ToggleInventory" },
    { strName = "Mail",                 strIcon = "DatachronSprites:btnEmailIconNormal",                           strEvent = "ToggleMailWindow" },
    { strName = "Auction Listings",     strIcon = "ClientSprites:Icon_Mission_Settler_Mayoral",                    strEvent = "InterfaceMenu_ToggleMarketplaceListings" },
    { strName = "Reputation",           strIcon = "ClientSprites:Icon_Mission_Scientist_ScanTech",                 strEvent = "ToggleReputationInterface" },
    { strName = "Social",               strIcon = "ClientSprites:Icon_Windows_UI_CRB_FieldStudy_Social",           strEvent = "ToggleSocialWindow" },
    { strName = "Friends List",         strIcon = "ClientSprites:Icon_Mission_Settler_Posse",                      strEvent = "InvokeFriendsList" },
    { strName = "Neighbors List",       strIcon = "ClientSprites:Icon_Mission_Explorer_PowerMap",                  strEvent = "InvokeNeighborsList" },
    { strName = "Guild",                strIcon = "ClientSprites:Icon_Mission_Explorer_ActivateChecklist",         strEvent = "EventGeneric_OpenGuildPanel" },
    { strName = "Group Finder",         strIcon = "ClientSprites:Icon_Mission_Explorer_ScavengerHunt",             strEvent = "ToggleGroupFinder" },
  }
})

P:RegisterMenu(ktMenu)