local P = Apollo.GetAddon("PieMenu")

local function ClearTargetMarker()
  local unitTarget = GameLib.GetTargetUnit()
  if unitTarget ~= nil then
    unitTarget:ClearTargetMarker()
  end
end

local ktMenu = P.PieMenu:new({
  strId = "TargetMarker",
  strName = "Target Marker Menu",
  oKeybind = P.PieKey:new("ctrl-alt-t"),
  tItems = {
    { strName = "Clear Marker", strIcon = "ClientSprites:Icon_Windows_UI_CRB_Tooltip_Restricted", func = ClearTargetMarker },
    { strName = "Bomb",         strIcon = "ClientSprites:Icon_Windows_UI_CRB_Marker_Bomb",        nMarkerId = 1 },
    { strName = "Ghost",        strIcon = "ClientSprites:Icon_Windows_UI_CRB_Marker_Ghost",       nMarkerId = 2 },
    { strName = "Mask",         strIcon = "ClientSprites:Icon_Windows_UI_CRB_Marker_Mask",        nMarkerId = 3 },
    { strName = "Octopus",      strIcon = "ClientSprites:Icon_Windows_UI_CRB_Marker_Octopus",     nMarkerId = 4 },
    { strName = "Pig",          strIcon = "ClientSprites:Icon_Windows_UI_CRB_Marker_Pig",         nMarkerId = 5 },
    { strName = "Chicken",      strIcon = "ClientSprites:Icon_Windows_UI_CRB_Marker_Chicken",     nMarkerId = 6 },
    { strName = "Toaster",      strIcon = "ClientSprites:Icon_Windows_UI_CRB_Marker_Toaster",     nMarkerId = 7 },
    { strName = "UFO",          strIcon = "ClientSprites:Icon_Windows_UI_CRB_Marker_UFO",         nMarkerId = 8 },
  },
})

P:RegisterMenu(ktMenu)